import java.util.Scanner;

/**
 *
 * @author User
 */
public class Paprikas {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
         Scanner in=new Scanner(System.in);
         int n=in.nextInt();
         int a=0,b=0;
         for(int i=0;i<n;i++){
             for(int y=0;y<3;y++){
                 
             }
         }
         
         if (n==1){
              System.out.println(a+1);
             System.out.println(a+""+a);
             System.out.println(a+""+1);
             System.out.println(a+""+2);


         }
         
         
    }
    
}